Qyra
Referencev2

Execute saved chart

Executes a saved chart query asynchronously with optional parameter overrides

POST/api/v2/projects/{projectUuid}/query/chart

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Request body

{
  "parameters": {
    "property": "string"
  },
  "usePreAggregateCache": true,
  "invalidateCache": true,
  "context": "dashboardView",
  "dashboardFilters": {
    "tableCalculations": [
      {
        "includeNull": true,
        "values": [
          "string"
        ],
        "operator": "isNull",
        "id": "string",
        "target": {
          "fallbackType": "string",
          "isSqlColumn": true,
          "tableName": "string",
          "fieldId": "string"
        },
        "settings": "string",
        "disabled": true,
        "required": true,
        "caseSensitive": true,
        "lockedTabUuids": [
          "string"
        ],
        "requiredGroupId": "string",
        "singleValue": true,
        "label": "string",
        "tileTargets": {
          "property": {
            "fallbackType": "string",
            "isSqlColumn": true,
            "tableName": "string",
            "fieldId": "string"
          }
        }
      }
    ],
    "metrics": [
      {
        "includeNull": true,
        "values": [
          "string"
        ],
        "operator": "isNull",
        "id": "string",
        "target": {
          "fallbackType": "string",
          "isSqlColumn": true,
          "tableName": "string",
          "fieldId": "string"
        },
        "settings": "string",
        "disabled": true,
        "required": true,
        "caseSensitive": true,
        "lockedTabUuids": [
          "string"
        ],
        "requiredGroupId": "string",
        "singleValue": true,
        "label": "string",
        "tileTargets": {
          "property": {
            "fallbackType": "string",
            "isSqlColumn": true,
            "tableName": "string",
            "fieldId": "string"
          }
        }
      }
    ],
    "dimensions": [
      {
        "includeNull": true,
        "values": [
          "string"
        ],
        "operator": "isNull",
        "id": "string",
        "target": {
          "fallbackType": "string",
          "isSqlColumn": true,
          "tableName": "string",
          "fieldId": "string"
        },
        "settings": "string",
        "disabled": true,
        "required": true,
        "caseSensitive": true,
        "lockedTabUuids": [
          "string"
        ],
        "requiredGroupId": "string",
        "singleValue": true,
        "label": "string",
        "tileTargets": {
          "property": {
            "fallbackType": "string",
            "isSqlColumn": true,
            "tableName": "string",
            "fieldId": "string"
          }
        }
      }
    ]
  },
  "filters": {
    "tableCalculations": {
      "or": [
        {}
      ],
      "id": "string"
    },
    "metrics": {
      "or": [
        {}
      ],
      "id": "string"
    },
    "dimensions": {
      "or": [
        {}
      ],
      "id": "string"
    }
  },
  "pivotResults": true,
  "limit": 0,
  "versionUuid": "string",
  "chartUuid": "string"
}

Responses

200 — Success

{
  "results": {
    "resolvedTimezone": "string",
    "usedParametersValues": {
      "property": "string"
    },
    "parameterReferences": [
      "string"
    ],
    "cacheMetadata": {
      "preAggregate": {
        "reason": {
          "reason": "no_pre_aggregates_defined"
        },
        "name": "string",
        "hit": true
      },
      "cacheHit": true,
      "cacheKey": "string",
      "cacheExpiresAt": "2024-01-01T00:00:00.000Z",
      "cacheUpdatedTime": "2024-01-01T00:00:00.000Z"
    },
    "queryUuid": "string",
    "warnings": [
      {
        "tables": [
          "string"
        ],
        "fields": [
          "string"
        ],
        "message": "string"
      }
    ],
    "fields": {
      "property": {
        "totalMode": "formula",
        "type": "number",
        "format": {
          "type": "default",
          "round": 0,
          "separator": "default",
          "currency": "string",
          "compact": "auto",
          "prefix": "string",
          "suffix": "string",
          "timeInterval": "RAW",
          "custom": "string"
        },
        "displayName": "string",
        "name": "string",
        "index": 0,
        "sql": "string"
      }
    },
    "metricQuery": {
      "metadata": {
        "hasADateDimension": {
          "name": "string",
          "label": "string",
          "table": "string"
        }
      },
      "pivotDimensions": [
        "string"
      ],
      "timezone": "string",
      "dimensionOverrides": {
        "property": {
          "formatOptions": {
            "type": "default",
            "round": 0,
            "separator": "default",
            "currency": "string",
            "compact": "auto",
            "prefix": "string",
            "suffix": "string",
            "timeInterval": "RAW",
            "custom": "string"
          }
        }
      },
      "metricOverrides": {
        "property": {
          "formatOptions": {
            "type": "default",
            "round": 0,
            "separator": "default",
            "currency": "string",
            "compact": "auto",
            "prefix": "string",
            "suffix": "string",
            "timeInterval": "RAW",
            "custom": "string"
          }
        }
      },
      "customDimensions": [
        {
          "id": "string",
          "name": "string",
          "table": "string",
          "type": "bin",
          "dimensionId": "string",
          "binType": "fixed_number",
          "binNumber": 0
        }
      ],
      "additionalMetrics": [
        {
          "label": "string",
          "type": "percentile",
          "description": "string",
          "sql": "string",
          "hidden": true,
          "round": 0,
          "compact": "auto",
          "format": "km",
          "separator": "default",
          "table": "string",
          "name": "string",
          "index": 0,
          "filters": [
            {
              "includeNull": true,
              "values": [
                "string"
              ],
              "operator": "isNull",
              "id": "string",
              "target": {
                "fieldRef": "string"
              },
              "settings": "string",
              "disabled": true,
              "required": true,
              "caseSensitive": true
            }
          ],
          "baseDimensionName": "string",
          "baseMetricName": "string",
          "uuid": "string",
          "percentile": 0,
          "distinctKeys": [
            "string"
          ],
          "formatOptions": {
            "type": "default",
            "round": 0,
            "separator": "default",
            "currency": "string",
            "compact": "auto",
            "prefix": "string",
            "suffix": "string",
            "timeInterval": "RAW",
            "custom": "string"
          },
          "generationType": "periodOverPeriod",
          "baseMetricId": "string",
          "timeDimensionId": "string",
          "granularity": "RAW",
          "periodOffset": 0
        }
      ],
      "tableCalculations": [
        {
          "totalMode": "formula",
          "type": "number",
          "format": {
            "type": "default",
            "round": 0,
            "separator": "default",
            "currency": "string",
            "compact": "auto",
            "prefix": "string",
            "suffix": "string",
            "timeInterval": "RAW",
            "custom": "string"
          },
          "displayName": "string",
          "name": "string",
          "index": 0,
          "sql": "string"
        }
      ],
      "limit": 0,
      "sorts": [
        {
          "pivotValues": [
            {
              "value": "string",
              "reference": "string"
            }
          ],
          "nullsFirst": true,
          "descending": true,
          "fieldId": "string"
        }
      ],
      "filters": {
        "tableCalculations": {
          "or": [
            {}
          ],
          "id": "string"
        },
        "metrics": {
          "or": [
            {}
          ],
          "id": "string"
        },
        "dimensions": {
          "or": [
            {}
          ],
          "id": "string"
        }
      },
      "metrics": [
        "string"
      ],
      "dimensions": [
        "string"
      ],
      "exploreName": "string"
    }
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}